MYTHARCHIVEHELPER(1)

NAME
mytharchivehelper - MythTV Archive helper

DESCRIPTION
mytharchivehelper version: fixes/36 [v36.0+fixes.20260401.1385cbfc60-0ubuntu1] www.mythtv.org Misc. Options:

-b, --burndvd
    Burn a created DVD to a blank disc Optional: --mediatype, --erasedvdrw, --nativeformat

--chanid
    Channel ID to use when inserting records in DB Used with: --importarchive

-t, --createthumbnail
    Create one or more thumbnails Requires: --infile, --thumblist, --outfile Optional: --framecount

--delay
    Delay in ms to add to subtitles (default 0) Used with: --sup2dast

--erasedvdrw
    Force an erase of DVD-R/W Media Used with: --burndvd (optional)

--framecount
    Number of frames to grab (default 1) Used with: --createthumbnail

-p, --getdbparameters
    Write the mysql database parameters to outfile Requires: --outfile

-i, --getfileinfo
    Write file info about infile to outfile Requires: --infile, --outfile, --method

--ifofile
    Filename of ifo file Used with: --sup2dast

-f, --importarchive
    Import an archived file Requires: --infile, --chanid

--infile
    Input file name Used with: --createthumbnail, --getfileinfo, --isremote, --sup2dast, --importarchive

-r, --isremote
    Check if infile is on a remote filesystem Requires: --infile Returns: 0 on error or file not found

- 1 file is on a local filesystem
    - 2 file is on a remote filesystem

--mediatype
    Type of media to burn Used with: --burndvd

0 = single layer DVD (default)
    1 = dual layer DVD 2 = rewritable DVD

--method
    Method of file duration calculation Used with: --getfileinfo

0 = use av_estimate_timings() (quick but not very
    accurate - default)

1 = read all frames (most accurate but slow)
    2 = use position map in DB (quick, only works for

    MythTV recordings)

-n, --nativearchive
    Archive files to a native archive format Requires: --outfile

--nativeformat
    Archive is a native archive format Used with: --burndvd (optional)

--outfile
    Output file name Used with: --createthumbnail, --getfileinfo, --getdbparameters, --nativearchive When used with --createthumbnail: eg 'thumb%1-%2.jpg'

%1 will be replaced with the no. of the thumb
    %2 will be replaced with the frame no.

-h, --help, --usage
    Display this help printout, or give detailed information of selected option.

--version
    Display version information.

-s, --sup2dast
    Convert projectX subtitles to DVD subtitles Requires: --infile, --ifofile, --delay

--thumblist
    Comma-separated list of required thumbs (in seconds) Used with: --createthumbnail

Logging Options:

--loglevel
    Set the logging level. All log messages at lower levels will be discarded. In descending order: emerg, alert, crit, err, warning, notice, info, debug, trace defaults to info

--loglong
    Use long log format for the console, i.e. show file, line number, etc. in the console log.

--logpath
    Writes logging messages to a file in the directory logpath with filenames in the format: applicationName.date.pid.log. This is typically used in combination with --daemon, and if used in combination with --pidfile, this can be used with log rotators, using the HUP call to inform MythTV to reload the file

-q, --quiet
    Don't log to the console (-q). Don't log anywhere (-q -q)

--syslog
    Set the syslog logging facility. Set to "none" to disable, defaults to none.

--systemd-journal
    Use systemd-journal instead of syslog.

-v, --verbose
    Specify log filtering. Use '-v help' for level info.